सवाल लुबंटू 13.04 पर जूनिपर वीपीएन से कनेक्ट करने में सक्षम नहीं है


मैं लुबंटू 13.04 का उपयोग कर रहा हूँ। उसी परिणाम के साथ क्रोम, फ़ायरफ़ॉक्स और एपिफेनी के साथ इसका प्रयास किया।

  1. मैं अपने वीपीएन वेबपेज में लॉग इन करता हूं
  2. कनेक्शन खोलने के लिए शुरू करें क्लिक करें।
  3. विंडो मुझे पूछती है कि क्या मैं जार फ़ाइल स्थापित करना चाहता हूं -> मैं हाँ पर क्लिक करता हूं
  4. टर्मिनल मुझे रूट पासवर्ड के लिए पूछता है जो मैं दर्ज करता हूं
  5. जब प्रोग्रेस बार समय लगता है तो प्रगति बार अपडेट होता है और मुझे चरण 2 पर वापस कर दिया जाता है
  6. मैं फिर से शुरू क्लिक करता हूं और प्रगति बार जारी रहता है जहां यह छोड़ा गया, इसे दो बार दोहराएं
  7. आखिरकार प्रगति बार के अंत तक पहुंच जाती है लेकिन कुछ भी नहीं होता है
  8. अगर मैं मशीन को पिंग करता हूं तो मैं मशीन से कनेक्ट करने की कोशिश नहीं कर रहा हूं
  9. मुझे कनेक्शन की मेरी सूची में वीपीएन नहीं दिख रहा है

मैंने मैड वैज्ञानिक द्वारा बताए गए कदमों की कोशिश की है http://mad-scientist.us/juniper.html लेकिन यह या तो कनेक्ट नहीं होता है (एक दूसरे के लिए स्टेटस शो "कनेक्टिंग" फिर "डिस्कनेक्ट"), लेकिन मुझे लगता है कि इस चरण से पहले कुछ मौलिक गलत हो रहा है।

कोई विचार?

*अद्यतन करें***


4
2018-06-12 10:27


मूल


क्या आप कृपया मुझे बता सकते हैं कि जावा का कौन सा संस्करण आप चल रहे हैं? - karan
मैं जावा 7 का उपयोग कर रहा हूँ - China Diapers
क्या आप 64-बिट या 32-बिट इंस्टॉल का उपयोग कर रहे हैं? यहां शीर्ष जवाब देखें askubuntu.com/questions/136194/juniper-setup-on-12-04 - David Edwards
मैं 64 बिट लुबंटू का उपयोग कर रहा हूं यदि आपका यही मतलब है। धन्यवाद लिंक देखेंगे - China Diapers
मूल पोस्ट में अपडेट देखें - China Diapers


जवाब:


यदि आपको 7.3 से अधिक जूनियर एसए मिल गया है, तो आपको 32 और 64 बिट दोनों को स्थापित करने की आवश्यकता है। नेटवर्क कनेक्ट चलाने के लिए आपको जावा 32 बिट लॉन्च करने की आवश्यकता है।

64 बिट सिस्टम पर जावा के 32 बिट संस्करण को चलाने के लिए आपको libxtst6: i386 पैकेज स्थापित करने की आवश्यकता है:

sudo apt-get install libxtst6:i386 libxrender1:i386 libxi6:i386 libncurses5:i386 libncursesw5:i386 libncurses-ruby:i386

(यदि यह विफल रहता है, तो पूरे ia32-libs पैकेज को स्थापित करें)।

64 बिट संस्करण / usr / lib / java / jre /

32 बिट संस्करण / usr / lib / java32 / jre /

फिर निम्नलिखित करें:

sudo mv /usr/lib/java/jre/bin/java{,.orig}

sudo gedit /usr/lib/java/jre/bin/java

फ़ाइल इस तरह दिखनी चाहिए:

#!/bin/bash
if [ "$3" = "NC" ]
then
  /usr/lib/java32/jre/bin/java "$@"
else
  /usr/lib/java/jre/bin/java.orig "$@"
fi

फिर आपको इसे कार्यकारी बनाना होगा:

sudo chmod +x /usr/lib/java/jre/bin/java

फिर जावा के उपयुक्त संस्करण को स्थापित करने के लिए अद्यतन-विकल्प का उपयोग करें:

sudo update-alternatives --install /usr/lib/mozilla/plugins/libnpjp2.so java_plugin /usr/lib/java/jre/lib/amd64/libnpjp2.so 10
sudo update-alternatives --install /usr/bin/java java /usr/lib/java/jre/bin/java 10
sudo update-alternatives --install /usr/bin/javaws javaws /usr/lib/java/jre/bin/javaws 10

यदि आपने होम फोल्डर एन्क्रिप्ट किया है, 13.04 के बाद माउंट विकल्पों में नोस्यूड जोड़ा गया है, तो आप एन्क्रिप्टेड घर के बाहर .juniper फ़ोल्डर को स्थानांतरित कर सकते हैं, यानी: / symlink बनाने का विकल्प चुनें:

cd ~
mv .juniper /opt
ln -s /opt/.juniper .

निर्धारित करें कि आपने फ़ायरफ़ॉक्स में जावा प्लगइन स्थापित किया है (ऐड-ऑन -> प्लगइन्स में)। यदि हां, तो आपको जाने के लिए तैयार होना चाहिए।

मैंने उस पृष्ठ से नुस्खा लिया: http://ubuntuforums.org/showthread.php?t=232607&page=51

लेकिन अगर आप दौड़ना चाहते हैं openjdk, फिर उन चरणों का पालन करें:

sudo apt-get install openjdk-7-jre icedtea-7-plugin openjdk-7-jre:i386 ia32-libs
sudo mv /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java{,.orig}
sudo gedit /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java

यह इस तरह दिखता है:

#!/bin/bash
if [ "$3" = "NC" ]
then
  /usr/lib/jvm/java-7-openjdk-i386/jre/bin/java "$@"
else
  /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java.orig "$@"
fi

इसे कार्यकारी बनाएं:

chmod +x /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java

अब तक यह मेरे लिए काम किया है।

सादर,

मारियो।


3
2017-08-02 20:47



यह एक बड़ी मदद थी! मैंने उबंटू 64 बिट पर काम करने के लिए जूनियर वीपीएन एनसी प्राप्त करने के कई अन्य तरीकों की कोशिश की है, लेकिन यह केवल यही था जो मेरे लिए काम करता था। धन्यवाद! - mason81


यही वह है जो मुझे अपने उबंटू 13.10 मशीन पर काम करने के लिए मिला ...

sudo apt-get install openjdk-7-jre icedtea-7-plugin

sudo apt-get install openjdk-7-jre:i386

इस समय /usr/bin/java links सेवा मेरे /etc/alternatives/java और वह लिंक /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java। तो अब हम पहले जावा लिंक को एक स्क्रिप्ट के साथ बदल सकते हैं:

cd /usr/bin

sudo mv -f java java.orig

sudo vi java

इन पंक्तियों को डालें;

\#!/bin/bash
if [ "$3" = "NC" ]
then
  /usr/lib/jvm/java-7-openjdk-i386/jre/bin/java "$@"
else
  /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java "$@"
fi

फ़ाइल को सहेजें और बाहर निकलें vi

sudo chmod +x java

मुझे नहीं पता कि यह जरूरी है या नहीं, लेकिन मैंने इसे किया। वैकल्पिक अन्य लिंक में /usr/bin उपरोक्त के रूप में एक ही फैशन में स्क्रिप्ट के साथ प्रतिस्थापित करने के लिए

जावैक, जावदोक, जाव, जावप, जाव

Www.java.com स्थापना निर्देशिका से 64 बिट संस्करण में फ़ायरफ़ॉक्स / मोज़िला बिंदु के लिए जावा प्लगइन के लिए। मेरे लिए यह था /usr/java/jre1.7.0_51

cd /usr

sudo mkdir java

cd java

sudo tar zxvf ~/Downloads/jre-7u51-linux-x64.tar.gz

cd /usr/lib/mozilla/plugins

sudo ln -s /usr/java/jre1.7.0_51/lib/amd64/libnpjp2.so

प्लगइन परिवर्तन लेने के लिए ब्राउज़र को पुनरारंभ करें।


3
2018-02-28 06:23



मैं 13.10 पर आधारित मिंट 16 का उपयोग कर रहा हूं लेकिन यह पूरी तरह से काम नहीं करता है। एनसी एप्लेट प्रकट होता है लेकिन अचानक गायब हो जाता है। इससे पहले मुझे यह सुनिश्चित करने के लिए सवाल मिल रहा है कि 32 बिट पुस्तकालय स्थापित हैं। तो मैंने यह सब करने से पहले आगे बढ़ गया। एनसी एप्लेट बिल्कुल दिखाई नहीं देने से पहले। क्या आपको पता है कि एनसी एप्लेट फिर से क्यों गायब हो जाता है? - Joost Van Durme


ताजा उबंटू 13.04 स्थापना के बाद निम्न चरणों का पालन करना। इसके अलावा मेरा घर फ़ोल्डर एन्क्रिप्टेड नहीं है ....

sudo apt-get openjdk-7-jre icedtea-7-plugin स्थापित करें

sudo apt-get openjdk-7-jre स्थापित करें: i386

sudo apt-get ia32-libs इंस्टॉल करें

लॉग इन किया गया और सेटअप ने मेरे सु पासवर्ड और वॉयला के लिए पूछा कि यह काम करता है। यह पहले धीमा है लेकिन फिर से लॉग इन करने और फिर से लॉग इन करने के बाद यह विंडोज़ प्रदर्शन पर वापस आ गया।

मुझे उम्मीद है कि यह आपके लिए काम करेगा।

मेरे पास इंटेल i7 और संलयन ग्राफिक्स कार्ड के साथ एक डेल प्रेरणा 7720 है।

मैंने विंडोज़ 8 के साथ पहली बार खिड़कियों के लिए इसे खरीदा नहीं है जो चूसने वाला है ....


-2
2017-08-25 22:36



जो लोग डाउनवॉटिंग कर रहे हैं: कृपया कहें क्यों। - Ken Williams